syncio_http.h File Reference
`#include <gwenhywfar/syncio.h>`
`#include <gwenhywfar/db.h>`

Go to the source code of this file.

## Macros

#define | GWEN_SYNCIO_HTTP_TYPE "http"

## Functions

Constructor
GWENHYWFAR_API GWEN_SYNCIO * | GWEN_SyncIo_Http_new (GWEN_SYNCIO *baseIo)
Get Information About Incoming HTTP Messages
GWENHYWFAR_API GWEN_DB_NODE * | GWEN_SyncIo_Http_GetDbCommandIn (const GWEN_SYNCIO *sio)
GWENHYWFAR_API GWEN_DB_NODE * | GWEN_SyncIo_Http_GetDbHeaderIn (const GWEN_SYNCIO *sio)
GWENHYWFAR_API GWEN_DB_NODE * | GWEN_SyncIo_Http_GetDbStatusIn (const GWEN_SYNCIO *sio)
Get Information About Outgoing HTTP Messages
GWENHYWFAR_API GWEN_DB_NODE * | GWEN_SyncIo_Http_GetDbCommandOut (const GWEN_SYNCIO *sio)
GWENHYWFAR_API GWEN_DB_NODE * | GWEN_SyncIo_Http_GetDbHeaderOut (const GWEN_SYNCIO *sio)
GWENHYWFAR_API GWEN_DB_NODE * | GWEN_SyncIo_Http_GetDbStatusOut (const GWEN_SYNCIO *sio)
GWENHYWFAR_API int | GWEN_SyncIo_Http_RecvBody (GWEN_SYNCIO *sio, GWEN_BUFFER *buf)
GWENHYWFAR_API int | GWEN_SyncIo_Http_RecvBodyToSio (GWEN_SYNCIO *sio, GWEN_SYNCIO *sout)

## Macro Definition Documentation

## GWEN_SYNCIO_HTTP_TYPE

#define GWEN_SYNCIO_HTTP_TYPE "http"

Definition at line 33 of file syncio_http.h.

## Function Documentation

## GWEN_SyncIo_Http_GetDbCommandIn()

GWENHYWFAR_API GWEN_DB_NODE * GWEN_SyncIo_Http_GetDbCommandIn | ( | const GWEN_SYNCIO * | sio | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_Http_GetDbCommandOut()

GWENHYWFAR_API GWEN_DB_NODE * GWEN_SyncIo_Http_GetDbCommandOut | ( | const GWEN_SYNCIO * | sio | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_Http_GetDbHeaderIn()

GWENHYWFAR_API GWEN_DB_NODE * GWEN_SyncIo_Http_GetDbHeaderIn | ( | const GWEN_SYNCIO * | sio | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_Http_GetDbHeaderOut()

GWENHYWFAR_API GWEN_DB_NODE * GWEN_SyncIo_Http_GetDbHeaderOut | ( | const GWEN_SYNCIO * | sio | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_Http_GetDbStatusIn()

GWENHYWFAR_API GWEN_DB_NODE * GWEN_SyncIo_Http_GetDbStatusIn | ( | const GWEN_SYNCIO * | sio | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_Http_GetDbStatusOut()

GWENHYWFAR_API GWEN_DB_NODE * GWEN_SyncIo_Http_GetDbStatusOut | ( | const GWEN_SYNCIO * | sio | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_Http_new()

GWENHYWFAR_API GWEN_SYNCIO * GWEN_SyncIo_Http_new | ( | GWEN_SYNCIO * | baseIo | ) |

The base GWEN_SYNCIO is expected to be of type GWEN_SYNCIO_BUFFERED_TYPE (see GWEN_SyncIo_Buffered_new).

## GWEN_SyncIo_Http_RecvBody()

GWENHYWFAR_API int GWEN_SyncIo_Http_RecvBody | ( | GWEN_SYNCIO * | sio,
|  | GWEN_BUFFER * | buf )

References GWENHYWFAR_API.

## GWEN_SyncIo_Http_RecvBodyToSio()

GWENHYWFAR_API int GWEN_SyncIo_Http_RecvBodyToSio | ( | GWEN_SYNCIO * | sio,
|  | GWEN_SYNCIO * | sout )

References GWENHYWFAR_API.